"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cli_ux_1 = require("cli-ux");
const util_1 = require("util");
function validate(type) {
    return (o, filename) => {
        let validate = require('@cli-engine/config/lib/schema');
        if (validate({ [type]: o }, filename))
            return;
        const errors = validate.errors
            .map((v) => `${v.dataPath}: ${v.message}${v.params ? ': ' + util_1.inspect(v.params) : ''}`)
            .join('\n');
        cli_ux_1.default.warn(new Error(`Error reading ${filename}:\n${errors}`));
    };
}
exports.cliPjson = validate('cliPjson');
exports.pluginPjson = validate('pluginPjson');
exports.command = validate('command');
