# netrc-parser

[![CircleCI](https://circleci.com/gh/dickeyxxx/node-netrc-parser.svg?style=svg)](https://circleci.com/gh/dickeyxxx/node-netrc-parser)
[![codecov](https://codecov.io/gh/dickeyxxx/node-netrc-parser/branch/master/graph/badge.svg)](https://codecov.io/gh/dickeyxxx/node-netrc-parser)

# API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

## Netrc

[src/netrc.js:211-318](https://github.com/jdxcode/node-netrc-parser/blob/cfbdbb9020ee87a353f88ea423a36375e79da2e0/src/netrc.js#L211-L318 "Source code on GitHub")

parses a netrc file

### constructor

[src/netrc.js:219-228](https://github.com/jdxcode/node-netrc-parser/blob/cfbdbb9020ee87a353f88ea423a36375e79da2e0/src/netrc.js#L219-L228 "Source code on GitHub")

generates or parses a netrc file

**Parameters**

-   `file` **[string](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/String)** 

**Examples**

```javascript
const Netrc = require('netrc-parser')
const netrc = new Netrc()
netrc.machines['api.heroku.com'].password // get auth token from ~/.netrc
```

### save

[src/netrc.js:243-267](https://github.com/jdxcode/node-netrc-parser/blob/cfbdbb9020ee87a353f88ea423a36375e79da2e0/src/netrc.js#L243-L267 "Source code on GitHub")

save the current home netrc with any changes

**Examples**

```javascript
const Netrc = require('netrc-parser')
const netrc = new Netrc()
netrc.machines['api.heroku.com'].password = 'newpassword'
netrc.save()
```
